source("LR_source.R")

set.seed(1234)

reps = replicates

print.rv.file = TRUE
rv.file = "Cetacea.rv.txt"

### Cetacea data
tree.file = "../Empirical_Data/Cetacea.tre"
frs.file = "../Empirical_Data/Cetacea0523_se_est.txt"
log.file = "Cetacea.simualtions.log.LR.txt"
LR.file = "Cetacea.LR.txt"
rho = 0.978

tr <- ape::read.nexus(file = tree.file)
frs <- read.table(file = frs.file, header = TRUE) 
ranges = length(frs$clade) 

# simulate data
data <- simulate.data(tr, frs, rho, log.file) 

# LR tests
out <- likelihood.ratio.tests(data$trees, data$fossils, rho, ranges, file = log.file)

# print results
print.headers(file = LR.file)
print.results(out, file = LR.file)

