source("LR_source.R")

set.seed(1234)

reps = replicates

print.rv.file = TRUE
rv.file = "Ferns.rv.txt"

### Lethonen ferns
tree.file = "../Empirical_Data/Ferns.tre"
frs.file = "../Empirical_Data/Lethonen_ferns.txt"
log.file = "Lferns.simualtions.log.LR.txt"
LR.file = "Lferns.LR.txt"
rho = 0.955

tr <- ape::read.tree(file = tree.file)
frs <- read.table(file = frs.file, header = TRUE) 
ranges = length(frs$clade) 

# simulate data
data <- simulate.data(tr, frs, rho, log.file) 

# LR tests
out <- likelihood.ratio.tests(data$trees, data$fossils, rho, ranges, file = log.file)

# print results
print.headers(file = LR.file)
print.results(out, file = LR.file)

