set.seed(123)

source("functions.R")

# open log file
cat(NULL, file="log.txt", append = F)

### print output headers
print.headers.3models()

### Bovidae data
tree <- ape::read.nexus("../Empirical_Data/Bovidae.tre")
frs <- read.table(file = "../Empirical_Data/Bovidae_se_est.txt", header=TRUE)
analysis.3models(tree, frs, name = "Bovidae" , rho = 0.958)

### Canidae data
tree <- ape::read.nexus("../Empirical_Data/Canidae.tre")
frs <- read.table(file = "../Empirical_Data/Canidae_se_est.txt", header=TRUE)
analysis.3models(tree , frs, name = "Canidae" , rho = 1.0)

### Cervidae data
tree <- ape::read.nexus("../Empirical_Data/Cervidae.tre")
frs <- read.table(file = "../Empirical_Data/Cervidae_se_est.txt", header=TRUE)
analysis.3models(tree , frs, name = "Cervidae" , rho = 0.5)

### Cetacea data
tree<-ape::read.nexus("../Empirical_Data/Cetacea.tre")
frs<-read.table(file = "../Empirical_Data/Cetacea0523_se_est.txt",header=TRUE)
analysis.3models(tree , frs, name = "Cetacea", rho=0.978)

### Feliformia data
tree<-ape::read.nexus("../Empirical_Data/Feliformia.tre")
frs<-read.table(file = "../Empirical_Data/Feliformia_se_est.txt",header=TRUE)
analysis.3models(tree, frs, name = "Feliformia", rho = 1.0)

### Ferns data
tree<-ape::read.tree("../Empirical_Data/Ferns.tre")
frs<-read.table(file = "../Empirical_Data/Lethonen_ferns.txt",header=TRUE)
analysis.3models(tree, frs, name = "Ferns", rho = 0.955)

### Scleractinia (species)
tree<-ape::read.nexus("../Empirical_Data/Scleractinia_species_level.tre")
frs<-read.table(file = "../Empirical_Data/Scleractinia_species_level_se_est.txt",header=TRUE)
analysis.3models(tree, frs, name = "Scleractinia", rho = 0.154)

### Sphenisciformes
tree<-ape::read.nexus("../Empirical_Data/Sphenisciformes.tre")
frs<-read.table(file = "../Empirical_Data/Sphenisciformes_se_est.txt",header=TRUE)
analysis.3models(tree, frs, name = "Sphenisciformes", rho = 1.0)

### Ursidae
tree<-ape::read.nexus("../Empirical_Data/Ursidae.tre")
frs<-read.table(file = "../Empirical_Data/Ursidae_se_est.txt",header=TRUE)
analysis.3models(tree, frs, name= "Ursidae", rho = 1.0)

